I have solved (accidentally) my problem, or I think that I had do.
This is my old code: (it doesn't work)
Dim objFoldedDoc As Object
Set objFoldedDoc = objApp.ActiveDocument
Call objFoldedDoc.SaveAs(NewName:="E:\Documentation\Fig_SolidEdge\PRU-DXF-11.DXF")
And this is...
Sorry, this code is for access to the part's of an assembly, to access to a part of a subassembly you can go through the objPart.OccurrenceDocument, and this is the Part of the document of the subassembly, so:
Dim objApp As Object
Dim objParts As SolidEdgeAssembly.Occurrences
Dim...
You can use the Occurrences object of Solid Edge, that represents a collection of Occurrence objects, here is an example of code, I hope that helps you
Dim objApp As Object
Dim objParts As SolidEdgeAssembly.Occurrences
Dim objDoc As SolidEdgeAssembly.AssemblyDocument
Dim objPart As...
Hi,
I'm trying to obtain the DXF file of a sheet metal part, the flattened DXF of the sheet metal part, but... it only runs if previously I have do it interactively "File//Save as flat...// select a planar face or edge // and save as DXF file"
In the program I use the SaveAs...